<?php

	require('fpdf.php');


	$host       = $_REQUEST[ 'cHost'	];
	$user       = $_REQUEST[ 'cUser'	];
	$password   = $_REQUEST[ 'cPassword'	];
	$db         = $_REQUEST[ 'cDB'		];
	$query      = $_REQUEST[ 'cQuery'	];
	$title      = $_REQUEST[ 'cTitle'	];

	$colwidths = array( 10 , 90 , 20 , 10 );


	$rows = 0;
	$cols = 0;

	$link = mysqli_init();

	mysqli_options($link, MYSQLI_INIT_COMMAND, "SET AUTOCOMMIT=0");
	mysqli_options($link, MYSQLI_OPT_CONNECT_TIMEOUT, 5);

	mysqli_real_connect( $link, $host, $user, $password, $db );

	if (mysqli_connect_errno()) {
		printf("ERROR: Connect failed: %s\n", mysqli_connect_error());
		exit();
	}


	if ($result = mysqli_query($link, $query))
	{

		$pdf = new FPDF();
		$pdf->AddPage();

		$rows = mysqli_num_rows($result);
		$cols = mysqli_num_fields($result);   

		// Get column names and types //////////////////////////////////////////////////

		$fnames = array();
		$ftypes = array();

		$j = 0;

		while ($finfo = mysqli_fetch_field($result))
		{
			$fnames[$j] = $finfo->name ;
			$ftypes[$j] = $finfo->type ;
			$j++;
		}

		// Get the total data width

		$totalwidth = 0;

		for ($j=0; $j<$cols-1 ; $j++)
		{
			$totalwidth = $totalwidth + $colwidths[$j] + 5 ;
		}

		// Calculate the left margin //////////////////////////////////////////////////

		$leftmargin = ( 190 - $totalwidth ) / 2 ;


		// Print header and footer ///////////////////////////////////////////////////

		$p = 1 ;
		$i = 1;
		writeheaders( $pdf , $title , $leftmargin , $colwidths , $fnames , $p );


		// Print detail //////////////////////////////////////////////////////////////

		$pdf->SetFont('Courier','',9);

		$printrow = 25 ;

		while ($row = mysqli_fetch_row($result))
		{

			$printrow = $printrow + 5 ;
			$printcol = $leftmargin ;


			for ($j = 0; $j < $cols; $j++)
			{

				$pdf->Text( $printcol , $printrow, $row[$j] );

				//$pdf->SetXY( $printcol , $printrow );
				//$pdf->Cell( $colwidths[$j] , 5 , $row[$j] ) ;

				$printcol = $printcol + $colwidths[$j] + 5 ;

			}

			$i++;

			if ( $i > 51 )
			{
				$pdf->AddPage();
				$i = 1;
				$p++;
				$printrow = 25 ;
				writeheaders( $pdf , $title , $leftmargin , $colwidths , $fnames , $p );
			}

		}

		mysqli_free_result($result);

	}
	else
	{
		echo 'ERROR: ' . mysqli_error($link) ;
	}

	mysqli_close($link);


	$pdf->Output();


function writeheaders( $pdf , $title , $leftmargin , $colwidths , $fnames , $i )
{

	// Print Headers and Footer ///////////////////////////////////////////////////

	$pdf->SetFont('Courier','B',9);

	$pdf->SetXY( 10, 07 );	$pdf->MultiCell( 190 , 5 , $title , 0 , 'C' );

	$pdf->Line( 10 , 16 , 200 , 16 );
	$pdf->Line( 10 , 22 , 200 , 22 );

	$pdf->Line( 10 , 285 , 200 , 285 );

	$pdf->Text( 11 , 290, date("Y.m.d") );

	$pdf->Text( 188 , 290 , 'Pag.' . $i );




	$printrow = 20 ;

	$printcol = $leftmargin ;

	for ( $j = 0 ; $j < count($fnames) ; $j++ )
	{

		$pdf->Text( $printcol , $printrow, $fnames[$j] );

		$printcol = $printcol + $colwidths[$j] + 5 ;

	}

	$pdf->SetFont('Courier','',9);

}


?>